'use strict';

var _build = require('./build');

var _build2 = _interopRequireDefault(_build);

var _deploy = require('./deploy');

var _deploy2 = _interopRequireDefault(_deploy);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

console.log(_build2.default);

var command = process.argv[2];
var folder = process.argv[3];

switch (command) {
  case 'build':
    {
      _build2.default.run({
        folder: folder
      });
      break;
    }
  case 'build:frontful':
    {
      _build2.default.run({
        transpile: false,
        folder: folder
      });
      break;
    }
  case 'deploy':
    {
      _deploy2.default.run({
        folder: folder
      });
      break;
    }
  case 'deploy:frontful':
    {
      _deploy2.default.run({
        transpile: false,
        folder: folder
      });
      break;
    }
  default:
    {}
}